Bug 209947 - databases/influxdb: Missing arm support for InfluxDB
Summary: databases/influxdb: Missing arm support for InfluxDB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-06-01 21:44 UTC by optikfluffel
Modified: 2017-01-05 19:52 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description optikfluffel 2016-06-01 21:44:52 UTC
InfluxDB seems to build and work fine if I add `armv6` to `ONLY_FOR_ARCHS`. Is there a reason the port only supports i386 and amd64?
Comment 1 cheffo 2016-06-02 21:48:31 UTC
I think at the time when influxdb was added to port "go" supported only amd64 and i386. Looks like from go 1.5 armv6 is also supported so I agree we should sync with go port and include armv6 in ONLY_FOR_ARCHS list.
Comment 2 cheffo 2016-11-22 21:43:42 UTC
This is now fixed - see bug 214704

I think this can be closed now!
Comment 3 commit-hook freebsd_committer 2017-01-05 19:51:55 UTC
A commit references this bug:

Author: brd
Date: Thu Jan  5 19:51:21 UTC 2017
New revision: 430665
URL: https://svnweb.freebsd.org/changeset/ports/430665

Log:
  databases/influxdb: Add armv6 to the list of ONLY_FOR_ARCH=

  PR:		209947
  Submitted by:	bugs.freebsd.org@fluffel.io
  Approved by:	cheffo@freebsd-bg.org (maintainer)

Changes:
  head/databases/influxdb/Makefile
Comment 4 Brad Davis freebsd_committer 2017-01-05 19:52:21 UTC
Committed, thanks!